Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class MethodMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.metadata.MethodMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class MethodMetaData
extends MetaData

The combination of the method-permission, container-transaction

The method-permission element specifies that one or more security roles are allowed to invoke one or more enterprise bean methods. The method-permission element consists of an optional description, a list of security role names, or an indicator to specify that the methods are not to be checked for authorization, and a list of method elements. The security roles used in the method-permission element must be defined in the security-role element of the deployment descriptor, and the methods must be methods defined in the enterprise bean�s component and/or home interfaces.

The container-transaction element specifies how the container must manage transaction scopes for the enterprise bean�s method invocations. The element consists of an optional description, a list of method elements, and a transaction attribute. The transaction attribute is to be applied to all the specified methods.

Version:
  $Revision: 1.19 $
Author:
  Sebastien Alborini, Scott Stark.

Field Summary
`static int` | `ANY_METHOD`
`static String` | `HOME_TYPE`
`static String` | `LOCAL_HOME_TYPE`
`static String` | `LOCAL_TYPE`
`static String` | `REMOTE_TYPE`
`static String` | `SERVICE_ENDPOINT_TYPE`

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`MethodMetaData()`

Method Summary
`String` | `getEjbName()`
`String` | `getInterfaceType()` Return the interface type name.
`String` | `getMethodName()`
`String[]` | `getMethodParams()` The
`Iterator` | `getParams()` The method param type names.
`Set` | `getRoles()`
`byte` | `getTransactionType()`
`void` | `importEjbJarXml(Element element)` Non-operation.
`boolean` | `isExcluded()`
`boolean` | `isHomeMethod()`
`boolean` | `isIntfGiven()`
`boolean` | `isLocalHomeMethod()`
`boolean` | `isLocalMethod()`
`boolean` | `isParamGiven()`
`boolean` | `isRemoteMethod()`
`boolean` | `isServiceEndpointMethod()`
`boolean` | `isUnchecked()`
`boolean` | `patternMatches(String name, Class[] arg, InvocationType iface)`
`boolean` | `patternMatches(String name, String[] arg, InvocationType iface)`
`void` | `setExcluded()`
`void` | `setRoles(Set perm)`
`void` | `setTransactionType(byte type)`
`void` | `setUnchecked()`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importJbossXml, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY_METHOD

    public static final int ANY_METHOD

See Also:
  Constant Field Values

### HOME_TYPE

    public static String HOME_TYPE

### LOCAL_HOME_TYPE

    public static String LOCAL_HOME_TYPE

### REMOTE_TYPE

    public static String REMOTE_TYPE

### LOCAL_TYPE

    public static String LOCAL_TYPE

### SERVICE_ENDPOINT_TYPE

    public static String SERVICE_ENDPOINT_TYPE

Constructor Detail

### MethodMetaData

    public MethodMetaData()

Method Detail

### getMethodName

    public String getMethodName()

### getEjbName

    public String getEjbName()

### isHomeMethod

    public boolean isHomeMethod()

### isRemoteMethod

    public boolean isRemoteMethod()

### isLocalHomeMethod

    public boolean isLocalHomeMethod()

### isLocalMethod

    public boolean isLocalMethod()

### isServiceEndpointMethod

    public boolean isServiceEndpointMethod()

### getInterfaceType

    public String getInterfaceType()

  Return the interface type name.

  Returns:
    one of "Home", "LocalHome", "Remote", "Local", "ServiceEndpoint", or null if no interface was specified.

### isUnchecked

    public boolean isUnchecked()

### isExcluded

    public boolean isExcluded()

### isIntfGiven

    public boolean isIntfGiven()

### isParamGiven

    public boolean isParamGiven()

### getParams

    public Iterator getParams()

  The method param type names.

  Returns:

### getMethodParams

    public String[] getMethodParams()

  The

  Returns:
    An array of the method parameter type names

### getTransactionType

    public byte getTransactionType()

### setTransactionType

    public void setTransactionType(byte type)

### getRoles

    public Set getRoles()

### setRoles

    public void setRoles(Set perm)

### setUnchecked

    public void setUnchecked()

### setExcluded

    public void setExcluded()

### patternMatches

    public boolean patternMatches(String name,
                                  Class[] arg,
                                  InvocationType iface)

### patternMatches

    public boolean patternMatches(String name,
                                  String[] arg,
                                  InvocationType iface)

### importEjbJarXml

    public void importEjbJarXml(Element element)
                         throws org.jboss.deployment.DeploymentException

  Description copied from class: `MetaData`
  Non-operation.

  Overrides:
    `importEjbJarXml` in class `MetaData`
  Parameters:
    `element` -
  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.